# Internal Articles

Everything about your Internal Articles

 - [GET /internal_articles](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/listinternalarticles.md): You can fetch a list of all internal articles by making a GET request to `https://api.intercom.io/internal_articles`.
 - [POST /internal_articles](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/createinternalarticle.md): You can create a new internal article by making a POST request to `https://api.intercom.io/internal_articles`.
 - [GET /internal_articles/{internal_article_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/retrieveinternalarticle.md): You can fetch the details of a single internal article by making a GET request to `https://api.intercom.io/internal_articles/<id>`.
 - [PUT /internal_articles/{internal_article_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/updateinternalarticle.md): You can update the details of a single internal article by making a PUT request to `https://api.intercom.io/internal_articles/<id>`.
 - [DELETE /internal_articles/{internal_article_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/deleteinternalarticle.md): You can delete a single internal article by making a DELETE request to `https://api.intercom.io/internal_articles/<id>`.
 - [POST /internal_articles/{internal_article_id}/tags](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/attachtagtointernalarticle.md): Apply an existing tag to an internal article. Returns the tag that was applied. The tag must already exist in the workspace (create tags with the Tags API), and the authenticating teammate must have t
 - [DELETE /internal_articles/{internal_article_id}/tags/{id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/detachtagfrominternalarticle.md): Remove a tag from an internal article. Returns the tag that was removed, with null `applied_at` and `applied_by`. The authenticating teammate must have the `manage_knowledge_base_content` permission.
 - [GET /internal_articles/search](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/searchinternalarticles.md): You can search for internal articles by making a GET request to `https://api.intercom.io/internal_articles/search`.
 - [Internal Articles](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/internal_article_list_item.md): Schema: #/components/schemas/internal_article_list_item
 - [Internal Article Search Response](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/internal-articles/internal_article_search_response.md): Schema: #/components/schemas/internal_article_search_response
